function G = translate(G,v,a)
  % G = translate(G,v,a)
  % Translate a partial odometer by vector v and slope a. 
  n = length(G);
  G = G(mod((0:n-1)-real(v),n)+1,mod((0:n-1)-imag(v),n)+1);
  Y = ones(n,1)*(0:n-1);
  Z = Y'+i*Y;
  G = G + real(a'*Z);
end
