function B = boundary(Q)
  n = length(Q);
  P = zeros(n+2);
  P(1+(1:n),1+(1:n)) = Q;
  i = find(P,1);
  [x,y] = ind2sub(size(P),i);
  if nnz(Q(:)) < 4
    B = [x,y];
    return;
  end
  B = [x,y;x+1,y];
  while nnz(B(1,:)-B(end,:))
    x = B(end,1);
    y = B(end,2);
    v = B(end,:)-B(end-1,:);
    if P(x+v(2),y-v(1))
      B = [B;x+v(2),y-v(1)];
    elseif P(x+v(1),y+v(2))
      B = [B;x+v(1),y+v(2)];
    else
      B = [B;x-v(2),y+v(1)];
    end
  end
  B = B-1;
end
