function varargout = pad(varargin)
  % [G1,...,GN] = pad(G1,...,GN)
  % Pad a list of partial odometer with NaNs.

  for k = 1:length(varargin)
    [n,m] = size(varargin{k});
    varargout{k} = nan(3*n,3*m);
    varargout{k}(n+1:2*n,m+1:2*m) = varargin{k};
  end

end
